/* Copyright (c) 2000 John Stracke <fanorona@thibault.org>
 #
 * This file is part of Fanorona.
 #
 * Fanorona is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any later
 * version. 
 #
 * Fanorona is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
 * the GNU General Public License for more details. 
 #
 * You should have received a copy of the GNU General Public License along
 * with program; see the file COPYING. If not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 * USA.
 */

#include <gnome.h>
#include <gtk/gtkfanorona.h>

void handlePrefs(void);

void
on_new_game_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_exit_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_undo_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_preferences_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_about_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

gint
on_aboutBox_close                      (GnomeDialog     *gnomedialog,
                                        gpointer         user_data);

void game_over(GtkFanorona* fanorona,
               gboolean player1Won,
               gpointer data);

void prompt_for_direction(GtkFanorona* fanorona,
                          gpointer data);
void remove_prompt(GtkFanorona* fanorona,
                   gpointer data);
void report_whose_move(GtkFanorona* fanorona,
                       gboolean player1sMove);
void
on_prefsDialog_clicked                 (GnomeDialog     *gnomedialog,
                                        gint             arg1,
                                        gpointer         user_data);

gint
on_prefsDialog_close                   (GnomeDialog     *gnomedialog,
                                        gpointer         user_data);

void
on_how_to_play_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

gboolean
on_mainWindow_delete_event             (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_colorSetOptionMenu_clicked          (GtkButton       *button,
                                        gpointer         user_data);

void
on_colorSetOptionMenu_enter            (GtkButton       *button,
                                        gpointer         user_data);

void
on_colorSetOptionMenu_leave            (GtkButton       *button,
                                        gpointer         user_data);

void
on_colorSetOptionMenu_pressed          (GtkButton       *button,
                                        gpointer         user_data);

void
on_colorSetOptionMenu_released         (GtkButton       *button,
                                        gpointer         user_data);

void
on_speedSlowRadioButton_toggled        (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_speedMediumRadioButton_toggled      (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_speedFastRadioButton_toggled        (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_redo_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_openGame_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_save_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_save_as_activate                    (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_fileselection_ok_clicked            (GtkButton       *button,
                                        gpointer         user_data);

void
on_fileselection_cancel_clicked        (GtkButton       *button,
                                        gpointer         user_data);
void openGame(const char* file);

void
on_fanorona_size_allocate              (GtkWidget       *widget,
                                        GtkAllocation   *allocation,
                                        gpointer         user_data);

void resize_board_from_prefs(void);

GtkWidget*
new_fanorona (gchar *widget_name, gchar *string1, gchar *string2,
                gint int1, gint int2);
