/* Copyright (c) 2000 John Stracke <fanorona@thibault.org>
 #
 * This file is part of Fanorona.
 #
 * Fanorona is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any later
 * version. 
 #
 * Fanorona is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
 * the GNU General Public License for more details. 
 #
 * You should have received a copy of the GNU General Public License along
 * with program; see the file COPYING. If not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 * USA.
 */

#include <gtk/gtk.h>
#include <gtk/gtkfanorona.h>
#include <fanorona/player.h>

static void game_over(GtkFanorona* fanorona,
                      gboolean player1Won,
                      gpointer data)
{
  printf("%s win.\n",(player1Won ? "You" : "I"));
  gtk_exit(0);
}

int main(int   argc,
         char *argv[] )
{
  GtkWidget *window;
  GtkWidget *fanoronaWidget;
  GtkFanorona* fanorona;
         
  /* This is called in all GTK applications. Arguments are parsed
   * from the command line and are returned to the application. */
  gtk_init(&argc, &argv);
         
  /* create a new window */
  window = gtk_window_new (GTK_WINDOW_TOPLEVEL);
         
  fanoronaWidget = gtk_fanorona_new (0);
  fanorona=GTK_FANORONA(fanoronaWidget);

  gtk_signal_connect(GTK_OBJECT(fanorona),"fanorona_game_over",
                     GTK_SIGNAL_FUNC(game_over),NULL);
  gtk_fanorona_enable_moves(fanorona,0);

  /* This packs the fanorona into the window (a gtk container). */
  gtk_container_add (GTK_CONTAINER (window), fanoronaWidget);
         
  /* The final step is to display this newly created widget. */
  gtk_widget_show (fanoronaWidget);
         
  /* and the window */
  gtk_widget_show (window);

  /* All GTK applications must have a gtk_main(). Control ends here
   * and waits for an event to occur (like a key press or
   * mouse event). */
  gtk_main ();
         
  return(0);
}
